GNU bug report logs - #26326
25.1; "import codecs, os;..." Weird output in python shell Mac OS X

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Monib Ahmed <MonibAhmed@HIDDEN>; merged with #21431, #22796, #25753; dated Fri, 31 Mar 2017 19:34:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Disconnected #32042 from all other report(s). Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 21431 22796 25753 26326 32042. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 21431 22796 25753 26326. Request was from npostavs@HIDDEN to control <at> debbugs.gnu.org. Full text available.
Merged 21431 25753 26326. Request was from npostavs@HIDDEN to control <at> debbugs.gnu.org. Full text available.
Merged 25753 26326. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 26326 <at> debbugs.gnu.org:


Received: (at 26326) by debbugs.gnu.org; 31 Mar 2017 19:54:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 31 15:54:05 2017
Received: from localhost ([127.0.0.1]:54821 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cu2cX-0002Kn-I7
	for submit <at> debbugs.gnu.org; Fri, 31 Mar 2017 15:54:05 -0400
Received: from mail-oi0-f54.google.com ([209.85.218.54]:35454)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1cu2cV-0002KB-VE
 for 26326 <at> debbugs.gnu.org; Fri, 31 Mar 2017 15:54:04 -0400
Received: by mail-oi0-f54.google.com with SMTP id f193so72466840oib.2
 for <26326 <at> debbugs.gnu.org>; Fri, 31 Mar 2017 12:54:03 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:sender:in-reply-to:references:from:date:message-id
 :subject:to:cc;
 bh=R/AMCwNOLEE6tc3URAwo2jMrEeqzapcpjJrHcwoRlZw=;
 b=DamD9nIDQHivC3f21TRK7xKw5C5EAc8JUeLJY+Gg5thdo7Q1bhxuaXFHDmsrff7HUV
 8zhIVQnrUfc8qUFO69U0EIwCOva81DGbLF1AgU06Y+VyOWCu2Pq+w+Z2eXKwW+v977vY
 t6D4cIWtoVvgIOg8Zc75jtptZ+2ZcaYiOGwm80J234UTcWI9ljap7QsKm0zwnLP3ti+/
 GD5udqZFn11XHoRmUx8XjKc9Obvt19SQj++tmOk+vM6RNB3O6KQSfk+1jTAPSBimdZX2
 aDDtPgevy5aKrvnqs+5fkxwcUxN6/KkqKXzuAzZ6lNw0Mjo7SIZJxmXUrtxrQNmQKR/z
 Ii8Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:sender:in-reply-to:references:from
 :date:message-id:subject:to:cc;
 bh=R/AMCwNOLEE6tc3URAwo2jMrEeqzapcpjJrHcwoRlZw=;
 b=LIBPIKYQzs2RgDma1wMuPdZwN0LmpZvaw+UhWSYM/rszo37RaVpFRVFQ35KpilaAXK
 N6igp7he/eOoc7DSelEMUwrK3F5XSfSEl88kuScwVXryOORCZrXUvEwGF8OqzR0R3zMN
 fNmr9isrrQtrhko1aL6jxKrLfjiQLkDBIEIyRgug56K1xUQDj9tHy2GXG5u67CaHpbcG
 HVqLFUMGecOZwVuMpfHp7zsgfg3tlUussH2vVwyO+uu4CnIzM6CL93VSbA+ogqyoraz0
 qaNtYwXjMZHTDL4WZ8wswO85dl4mNm3sdXoLEOoAORN7aQnq/qQic8lVB4SqX48FgsJB
 SYgg==
X-Gm-Message-State: AFeK/H0pTA3RjxcZdDLJ1kfo86AjcrgptMEeGaGFAUAHavGHujFbCDVvI3piq18cvuw/vlSBGUT6mZKgtVxdGg==
X-Received: by 10.157.68.237 with SMTP id p45mr3146640otg.244.1490990037446;
 Fri, 31 Mar 2017 12:53:57 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.157.80.133 with HTTP; Fri, 31 Mar 2017 12:53:57 -0700 (PDT)
In-Reply-To: <CA+eEu87htdodO2BsADrZ9kcTPuBHPU-fT54jNk_V9TTu-N9VGA@HIDDEN>
References: <CA+eEu87htdodO2BsADrZ9kcTPuBHPU-fT54jNk_V9TTu-N9VGA@HIDDEN>
From: Noam Postavsky <npostavs@HIDDEN>
Date: Fri, 31 Mar 2017 15:53:57 -0400
X-Google-Sender-Auth: tkdnyRdQ5BK-UlVxXRc-rOB1FAE
Message-ID: <CAM-tV-9Es_01TeBO2mdcZxD5z3OcAHoMpYNqsqATij15Mac7Gg@HIDDEN>
Subject: Re: bug#26326: 25.1; "import codecs, os; ..." Weird output in python
 shell Mac OS X
To: Monib Ahmed <MonibAhmed@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 26326
Cc: 26326 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.2 (/)

merge 25753 26326
quit

On Fri, Mar 31, 2017 at 3:14 PM, Monib Ahmed <MonibAhmed@HIDDEN> wrote:
>
> Hi, I wrote a simple "Hello World" python script, and the output is
> weird:
>
>>>> import codecs, os;__pyfile =
>>>> codecs.open('''/var/folders/f9/y1xt5ytn02v2n7p8pk3_h4xw0000gn/T/py1281TtN''',
>>>> encoding='''utf-8''');__code =
>>>> __pyfile.read().encode('''utf-8''');__pyfile.close();os.remove('''/var/folders/f9/y1xt5ytn02v2n7p8pk3_h4xw0000gn/T/py1281TtN''');exec(compile(__code,
>>>> '''/Users/monibahmed/Documents/Python/people_class/hello_world.py''',
>>>> 'exec'));
> Hi
> Hello World!
>>>>
>
> Any recommendation on how to fix this?

Perhaps you can figure out how to make Emacs' python code (see
__PYTHON_EL_native_completion_setup() in python.el) work properly with
a libedit based readline?

Otherwise, you can work around it by installing a GNU readline based
readline module:
https://debbugs.gnu.org/cgi/bugreport.cgi?bug=25753#74




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#26326; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 31 Mar 2017 19:33:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 31 15:33:23 2017
Received: from localhost ([127.0.0.1]:54788 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cu2IV-0001q4-44
	for submit <at> debbugs.gnu.org; Fri, 31 Mar 2017 15:33:23 -0400
Received: from eggs.gnu.org ([208.118.235.92]:56544)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <compasserror@HIDDEN>) id 1cu20e-0001Ny-NI
 for submit <at> debbugs.gnu.org; Fri, 31 Mar 2017 15:14:57 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <compasserror@HIDDEN>) id 1cu20X-0001mj-JX
 for submit <at> debbugs.gnu.org; Fri, 31 Mar 2017 15:14:51 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 HTML_MESSAGE,T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:44105)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <compasserror@HIDDEN>)
 id 1cu20X-0001mZ-Ft
 for submit <at> debbugs.gnu.org; Fri, 31 Mar 2017 15:14:49 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:47490)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <compasserror@HIDDEN>) id 1cu20V-0003vH-Hr
 for bug-gnu-emacs@HIDDEN; Fri, 31 Mar 2017 15:14:49 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <compasserror@HIDDEN>) id 1cu20T-0001kC-Lu
 for bug-gnu-emacs@HIDDEN; Fri, 31 Mar 2017 15:14:47 -0400
Received: from mail-ua0-x234.google.com ([2607:f8b0:400c:c08::234]:35621)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <compasserror@HIDDEN>)
 id 1cu20T-0001jM-FD
 for bug-gnu-emacs@HIDDEN; Fri, 31 Mar 2017 15:14:45 -0400
Received: by mail-ua0-x234.google.com with SMTP id d64so247644uad.2
 for <bug-gnu-emacs@HIDDEN>; Fri, 31 Mar 2017 12:14:45 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:sender:from:date:message-id:subject:to;
 bh=BHWDwSPfYp3D4hRQKCnJQ/ievT9Lckx2Gm84E8i4fZs=;
 b=Z4eWy6CWIJBZ6AKpmt0DQnH+gR75Ars/1Mzy+cJ51Dh/iaHsp9+MPZ7OU7DjMewG4q
 1hdZH96lq94dyiGzAgq0Uc6Ii/8R3bH19D0DhyRObFwUDOymgGSfIM9Ic7X3npfPaVoR
 biM/WbUl4sgTpk4vJJIME0l5MdLULoYBI63a/ZG236sUUxY8p2YS+hHIr2xL3/P5xYUe
 9QciSVklRwdtLeUk+3PPi/NOyUKTfIYsScL+6NqFYpgl5WynHe1ppWtB8bq4KHQhEuEP
 lK0tuV1/T+6QYQ2som0mZE5Lvl8EyNuY62mmOeNAIFAkCANBQFOlHYXdPe/7AJl+2rTJ
 /rxQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:sender:from:date:message-id:subject
 :to; bh=BHWDwSPfYp3D4hRQKCnJQ/ievT9Lckx2Gm84E8i4fZs=;
 b=aDblQKFtnNvUrkOXGBc5ezItfdviuQ4QwY636XpVVgSrH5zT3bkje6c7qTIj0UtCSZ
 uAPrqW9gcfblFx51t0kXT3Xtabs5fBneQT26fonZSw3qqWE3UPbErzfHakHJJ3qQqKkQ
 i9vbu0oS/gkuz+mFxSZ0OU8ttmmuZEzJGk/n7la+SiuaOl+T82fTltGdTNOOyyW/uCsQ
 67kmom4/PpR+7Txvyx98kGbJjwpVKTPhpM90NGV25TzzO/xuK2z+j7xTlyhZFL2MGMH3
 i/A9CV+AVt8Q8T0clWYOzwMLoGhsbkWzj0Tcq2/cymbX8Y1yRaC0AeeWksy1Wz9djscz
 UZZQ==
X-Gm-Message-State: AFeK/H3P1PZefifUlPN0SLYyDh9PC9sJSsISwkRYMSoo+r5wLBAnqQ1UyOlIJZxMRFadusE2pGNqb4aUpu0Meg==
X-Received: by 10.176.75.216 with SMTP id b24mr2280576uag.161.1490987684458;
 Fri, 31 Mar 2017 12:14:44 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.176.88.193 with HTTP; Fri, 31 Mar 2017 12:14:44 -0700 (PDT)
From: Monib Ahmed <MonibAhmed@HIDDEN>
Date: Fri, 31 Mar 2017 12:14:44 -0700
X-Google-Sender-Auth: owOdZCi5zvy3Dcl2kIeS4-Dzbk0
Message-ID: <CA+eEu87htdodO2BsADrZ9kcTPuBHPU-fT54jNk_V9TTu-N9VGA@HIDDEN>
Subject: 25.1; "import codecs, os;..." Weird output in python shell Mac OS X
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary=f403045f8bce4c2411054c0b9ff0
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Fri, 31 Mar 2017 15:33:21 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

--f403045f8bce4c2411054c0b9ff0
Content-Type: text/plain; charset=UTF-8

From: Monib Ahmed <monibahmed@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 25.1; "import codecs, os;..." Weird output in python shell Mac OS X
--text follows this line--

Hi, I wrote a simple "Hello World" python script, and the output is
weird:

>>> import codecs, os;__pyfile =
codecs.open('''/var/folders/f9/y1xt5ytn02v2n7p8pk3_h4xw0000gn/T/py1281TtN''',
encoding='''utf-8''');__code =
__pyfile.read().encode('''utf-8''');__pyfile.close();os.remove('''/var/folders/f9/y1xt5ytn02v2n7p8pk3_h4xw0000gn/T/py1281TtN''');exec(compile(__code,
'''/Users/monibahmed/Documents/Python/people_class/hello_world.py''',
'exec'));
Hi
Hello World!
>>>

Any recommendation on how to fix this?

Thanks,
Monib




In GNU Emacs 25.1.1 (x86_64-apple-darwin13.4.0, NS appkit-1265.21 Version
10.9.5 (Build 13F1911))
 of 2016-09-20 built on builder10-9.porkrind.org
Windowing system distributor 'Apple', version 10.3.1404
Configured using:
 'configure --with-ns '--enable-locallisppath=/Library/Application
 Support/Emacs/${version}/site-lisp:/Library/Application
 Support/Emacs/site-lisp' --with-modules'

Configured features:
NOTIFY ACL GNUTLS LIBXML2 ZLIB TOOLKIT_SCROLL_BARS NS MODULES

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Emacs-Lisp

Minor modes in effect:
  diff-auto-refine-mode: t
  pyvenv-mode: t
  shell-dirtrack-mode: t
  global-linum-mode: t
  linum-mode: t
  show-paren-mode: t
  save-place-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent messages:
Mark set
Mark saved where search started
Mark set
Mark saved where search started
Saving file /Users/monibahmed/.emacs.d/init.el...
Wrote /Users/monibahmed/.emacs.d/init.el
Mark saved where search started
(No changes need to be saved)
previous-line: Beginning of buffer [2 times]
next-line: End of buffer [14 times]
previous-line: Beginning of buffer [3 times]

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message dired rfc822 mml mml-sec epg
mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils
mailheader sendmail rfc2047 rfc2045 ietf-drums misearch multi-isearch
vc-git diff-mode easy-mmode warnings tramp-cache thingatpt
company-oddmuse company-keywords company-etags company-gtags
company-dabbrev-code company-dabbrev company-files company-cmake
company-xcode company-clang company-eclim company-template company-css
company-nxml company-bbdb py-autopep8 flycheck rx subr-x dash yasnippet
highlight-indentation flymake company elpy pyvenv elpy-profile
elpy-django s elpy-refactor python tramp-sh tramp tramp-compat
tramp-loaddefs trampver shell pcomplete format-spec grep compile files-x
etags xref project cus-edit cus-start cus-load wid-edit linum
material-theme ein-notebook eieio-opt speedbar sb-image ezimage dframe
find-func ein-inspector ein-traceback ein-pytools ein-pager
ein-completer ein-subpackages ein-notification ein-scratchsheet
ein-worksheet advice ein-kill-ring ein-cell-output ein-cell-edit
ein-cell ein-output-area xml comint ring ein-kernelinfo ein-kernel
ein-ipdb ein-events eieio-compat ein-websocket websocket bindat
ansi-color ein-contents-api ein-query request mail-utils url url-proxy
url-privacy url-expand url-methods url-history url-cookie url-domsuf
url-util url-parse auth-source cl-seq eieio eieio-core cl-macs gnus-util
mm-util help-fns mail-prsvr password-cache url-vars mailcap cl ein-node
ein-log ein-core ein-utils json map cc-mode cc-fonts cc-guess cc-menus
cc-cmds cc-styles cc-align cc-engine cc-vars cc-defs ewoc ein-loaddefs
ein finder-inf paren edmacro kmacro saveplace ido info package
epg-config seq byte-opt gv bytecomp byte-compile cl-extra help-mode
easymenu cconv cl-loaddefs pcase cl-lib time-date mule-util tooltip
eldoc electric uniquify ediff-hook vc-hooks lisp-float-type mwheel
ns-win ucs-normalize term/common-win tool-bar dnd fontset image
regexp-opt fringe tabulated-list newcomment elisp-mode lisp-mode
prog-mode register page menu-bar rfn-eshadow timer select scroll-bar
mouse jit-lock font-lock syntax facemenu font-core frame cl-generic cham
georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese charscript case-table epa-hook
jka-cmpr-hook help simple abbrev minibuffer cl-preloaded nadvice
loaddefs button faces cus-face macroexp files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote kqueue cocoa ns multi-tty
make-network-process emacs)

Memory information:
((conses 16 425471 23113)
 (symbols 48 40207 0)
 (miscs 40 902 1134)
 (strings 32 85244 13367)
 (string-bytes 1 2542596)
 (vectors 16 61153)
 (vector-slots 8 1064764 7383)
 (floats 8 1067 542)
 (intervals 56 2595 465)
 (buffers 976 98))

--f403045f8bce4c2411054c0b9ff0
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div>From: Monib Ahmed &lt;monibahmed@HIDDEN=
ocal&gt;</div><div>To: <a href=3D"mailto:bug-gnu-emacs@HIDDEN">bug-gnu-ema=
cs@HIDDEN</a></div><div>Subject: 25.1; &quot;import codecs, os;...&quot; W=
eird output in python shell Mac OS X</div><div>--text follows this line--</=
div><div><br></div><div>Hi, I wrote a simple &quot;Hello World&quot; python=
 script, and the output is</div><div>weird:</div><div><br></div><div>&gt;&g=
t;&gt; import codecs, os;__pyfile =3D codecs.open(&#39;&#39;&#39;/var/folde=
rs/f9/y1xt5ytn02v2n7p8pk3_h4xw0000gn/T/py1281TtN&#39;&#39;&#39;, encoding=
=3D&#39;&#39;&#39;utf-8&#39;&#39;&#39;);__code =3D __pyfile.read().encode(&=
#39;&#39;&#39;utf-8&#39;&#39;&#39;);__pyfile.close();os.remove(&#39;&#39;&#=
39;/var/folders/f9/y1xt5ytn02v2n7p8pk3_h4xw0000gn/T/py1281TtN&#39;&#39;&#39=
;);exec(compile(__code, &#39;&#39;&#39;/Users/monibahmed/Documents/Python/p=
eople_class/hello_world.py&#39;&#39;&#39;, &#39;exec&#39;));</div><div>Hi</=
div><div>Hello World!</div><div>&gt;&gt;&gt;</div><div><br></div><div>Any r=
ecommendation on how to fix this?</div><div><br></div><div>Thanks,</div><di=
v>Monib</div><div><br></div><div><br></div><div><br></div><div><br></div><d=
iv>In GNU Emacs 25.1.1 (x86_64-apple-darwin13.4.0, NS appkit-1265.21 Versio=
n 10.9.5 (Build 13F1911))</div><div>=C2=A0of 2016-09-20 built on <a href=3D=
"http://builder10-9.porkrind.org">builder10-9.porkrind.org</a></div><div>Wi=
ndowing system distributor &#39;Apple&#39;, version 10.3.1404</div><div>Con=
figured using:</div><div>=C2=A0&#39;configure --with-ns &#39;--enable-local=
lisppath=3D/Library/Application</div><div>=C2=A0Support/Emacs/${version}/si=
te-lisp:/Library/Application</div><div>=C2=A0Support/Emacs/site-lisp&#39; -=
-with-modules&#39;</div><div><br></div><div>Configured features:</div><div>=
NOTIFY ACL GNUTLS LIBXML2 ZLIB TOOLKIT_SCROLL_BARS NS MODULES</div><div><br=
></div><div>Important settings:</div><div>=C2=A0 value of $LANG: en_US.UTF-=
8</div><div>=C2=A0 locale-coding-system: utf-8-unix</div><div><br></div><di=
v>Major mode: Emacs-Lisp</div><div><br></div><div>Minor modes in effect:</d=
iv><div>=C2=A0 diff-auto-refine-mode: t</div><div>=C2=A0 pyvenv-mode: t</di=
v><div>=C2=A0 shell-dirtrack-mode: t</div><div>=C2=A0 global-linum-mode: t<=
/div><div>=C2=A0 linum-mode: t</div><div>=C2=A0 show-paren-mode: t</div><di=
v>=C2=A0 save-place-mode: t</div><div>=C2=A0 tooltip-mode: t</div><div>=C2=
=A0 global-eldoc-mode: t</div><div>=C2=A0 electric-indent-mode: t</div><div=
>=C2=A0 mouse-wheel-mode: t</div><div>=C2=A0 file-name-shadow-mode: t</div>=
<div>=C2=A0 global-font-lock-mode: t</div><div>=C2=A0 font-lock-mode: t</di=
v><div>=C2=A0 blink-cursor-mode: t</div><div>=C2=A0 auto-composition-mode: =
t</div><div>=C2=A0 auto-encryption-mode: t</div><div>=C2=A0 auto-compressio=
n-mode: t</div><div>=C2=A0 line-number-mode: t</div><div>=C2=A0 transient-m=
ark-mode: t</div><div><br></div><div>Recent messages:</div><div>Mark set</d=
iv><div>Mark saved where search started</div><div>Mark set</div><div>Mark s=
aved where search started</div><div>Saving file /Users/monibahmed/.emacs.d/=
init.el...</div><div>Wrote /Users/monibahmed/.emacs.d/init.el</div><div>Mar=
k saved where search started</div><div>(No changes need to be saved)</div><=
div>previous-line: Beginning of buffer [2 times]</div><div>next-line: End o=
f buffer [14 times]</div><div>previous-line: Beginning of buffer [3 times]<=
/div><div><br></div><div>Load-path shadows:</div><div>None found.</div><div=
><br></div><div>Features:</div><div>(shadow sort mail-extr emacsbug message=
 dired rfc822 mml mml-sec epg</div><div>mm-decode mm-bodies mm-encode mail-=
parse rfc2231 mailabbrev gmm-utils</div><div>mailheader sendmail rfc2047 rf=
c2045 ietf-drums misearch multi-isearch</div><div>vc-git diff-mode easy-mmo=
de warnings tramp-cache thingatpt</div><div>company-oddmuse company-keyword=
s company-etags company-gtags</div><div>company-dabbrev-code company-dabbre=
v company-files company-cmake</div><div>company-xcode company-clang company=
-eclim company-template company-css</div><div>company-nxml company-bbdb py-=
autopep8 flycheck rx subr-x dash yasnippet</div><div>highlight-indentation =
flymake company elpy pyvenv elpy-profile</div><div>elpy-django s elpy-refac=
tor python tramp-sh tramp tramp-compat</div><div>tramp-loaddefs trampver sh=
ell pcomplete format-spec grep compile files-x</div><div>etags xref project=
 cus-edit cus-start cus-load wid-edit linum</div><div>material-theme ein-no=
tebook eieio-opt speedbar sb-image ezimage dframe</div><div>find-func ein-i=
nspector ein-traceback ein-pytools ein-pager</div><div>ein-completer ein-su=
bpackages ein-notification ein-scratchsheet</div><div>ein-worksheet advice =
ein-kill-ring ein-cell-output ein-cell-edit</div><div>ein-cell ein-output-a=
rea xml comint ring ein-kernelinfo ein-kernel</div><div>ein-ipdb ein-events=
 eieio-compat ein-websocket websocket bindat</div><div>ansi-color ein-conte=
nts-api ein-query request mail-utils url url-proxy</div><div>url-privacy ur=
l-expand url-methods url-history url-cookie url-domsuf</div><div>url-util u=
rl-parse auth-source cl-seq eieio eieio-core cl-macs gnus-util</div><div>mm=
-util help-fns mail-prsvr password-cache url-vars mailcap cl ein-node</div>=
<div>ein-log ein-core ein-utils json map cc-mode cc-fonts cc-guess cc-menus=
</div><div>cc-cmds cc-styles cc-align cc-engine cc-vars cc-defs ewoc ein-lo=
addefs</div><div>ein finder-inf paren edmacro kmacro saveplace ido info pac=
kage</div><div>epg-config seq byte-opt gv bytecomp byte-compile cl-extra he=
lp-mode</div><div>easymenu cconv cl-loaddefs pcase cl-lib time-date mule-ut=
il tooltip</div><div>eldoc electric uniquify ediff-hook vc-hooks lisp-float=
-type mwheel</div><div>ns-win ucs-normalize term/common-win tool-bar dnd fo=
ntset image</div><div>regexp-opt fringe tabulated-list newcomment elisp-mod=
e lisp-mode</div><div>prog-mode register page menu-bar rfn-eshadow timer se=
lect scroll-bar</div><div>mouse jit-lock font-lock syntax facemenu font-cor=
e frame cl-generic cham</div><div>georgian utf-8-lang misc-lang vietnamese =
tibetan thai tai-viet lao</div><div>korean japanese eucjp-ms cp51932 hebrew=
 greek romanian slovak czech</div><div>european ethiopic indian cyrillic ch=
inese charscript case-table epa-hook</div><div>jka-cmpr-hook help simple ab=
brev minibuffer cl-preloaded nadvice</div><div>loaddefs button faces cus-fa=
ce macroexp files text-properties overlay</div><div>sha1 md5 base64 format =
env code-pages mule custom widget</div><div>hashtable-print-readable backqu=
ote kqueue cocoa ns multi-tty</div><div>make-network-process emacs)</div><d=
iv><br></div><div>Memory information:</div><div>((conses 16 425471 23113)</=
div><div>=C2=A0(symbols 48 40207 0)</div><div>=C2=A0(miscs 40 902 1134)</di=
v><div>=C2=A0(strings 32 85244 13367)</div><div>=C2=A0(string-bytes 1 25425=
96)</div><div>=C2=A0(vectors 16 61153)</div><div>=C2=A0(vector-slots 8 1064=
764 7383)</div><div>=C2=A0(floats 8 1067 542)</div><div>=C2=A0(intervals 56=
 2595 465)</div><div>=C2=A0(buffers 976 98))</div><div><br></div></div>

--f403045f8bce4c2411054c0b9ff0--




Acknowledgement sent to Monib Ahmed <MonibAhmed@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#26326; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 11 Jul 2018 00:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.